import request from '@/utils/request'

// 查询宠物护理信息列表
export function listPetCare(query) {
  return request({
    url: '/ums/petCare/list',
    method: 'get',
    params: query
  })
}

// 查询宠物护理信息详细
export function getPetCare(id) {
  return request({
    url: '/ums/petCare/' + id,
    method: 'get'
  })
}

// 新增宠物护理信息
export function addPetCare(data) {
  return request({
    url: '/ums/petCare',
    method: 'post',
    data: data
  })
}

// 修改宠物护理信息
export function updatePetCare(data) {
  return request({
    url: '/ums/petCare',
    method: 'put',
    data: data
  })
}

// 删除宠物护理信息
export function delPetCare(id) {
  return request({
    url: '/ums/petCare/' + id,
    method: 'delete'
  })
}

// 导出宠物护理信息
export function exportPetCare(query) {
  return request({
    url: '/ums/petCare/export',
    method: 'get',
    params: query
  })
}
